Subject: [PATCH] grep: proceed the `beg' pointer after exact matched in KWSet

From: Norihiro Tanaka <[email-masked]>
Date: Wed, 26 Mar 2014 07:39:21 +0900

Package: grep
Tags: patch

When fail in checking multibyte characters after exact matched in KWSet,
I think that we can proceed the `beg' pointer before running DFA, because
then will never match at the former position than the failed in text.

Norihiro